Bug 949039 - SELinux is preventing /usr/bin/who from using the 'signull' accesses on a process.
Summary: SELinux is preventing /usr/bin/who from using the 'signull' accesses on a pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9095b4d4c8e6da1e63f9cf45178...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-05 16:57 UTC by Uosef
Modified: 2013-04-18 02:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:51:41 UTC


Attachments (Terms of Use)

Description Uosef 2013-04-05 16:57:32 UTC
Description of problem:
SELinux is preventing /usr/bin/who from using the 'signull' accesses on a process.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that who should be allowed signull access on processes labeled local_login_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep who /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:fsdaemon_t:s0
Target Context                system_u:system_r:local_login_t:s0-s0:c0.c1023
Target Objects                 [ process ]
Source                        who
Source Path                   /usr/bin/who
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.17-8.fc18.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-86.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.5-201.fc18.i686 #1 SMP Thu Mar
                              28 21:59:40 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-04-05 20:57:37 IRDT
Last Seen                     2013-04-05 20:57:37 IRDT
Local ID                      59945eef-2bd3-4a54-9c37-6e71dea021e8

Raw Audit Messages
type=AVC msg=audit(1365179257.244:867): avc:  denied  { signull } for  pid=30777 comm="who" scontext=system_u:system_r:fsdaemon_t:s0 tcontext=system_u:system_r:local_login_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1365179257.244:867): arch=i386 syscall=kill success=no exit=EACCES a0=77c6 a1=0 a2=8055000 a3=92e1860 items=0 ppid=30776 pid=30777 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=who exe=/usr/bin/who subj=system_u:system_r:fsdaemon_t:s0 key=(null)

Hash: who,fsdaemon_t,local_login_t,process,signull

audit2allow

#============= fsdaemon_t ==============
allow fsdaemon_t local_login_t:process signull;

audit2allow -R
require {
	type fsdaemon_t;
}

#============= fsdaemon_t ==============
locallogin_signull(fsdaemon_t)


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.5-201.fc18.i686
type:           libreport

Potential duplicate: bug 837723

Comment 1 Daniel Walsh 2013-04-06 13:14:28 UTC
30e54aa97ec5b65ab808a4f5576db7451e5c3dfd fixes this in git.

Comment 2 Miroslav Grepl 2013-04-08 08:58:13 UTC
Back ported.

Comment 3 Fedora Update System 2013-04-15 11:11:40 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 4 Fedora Update System 2013-04-16 00:07:12 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-18 02:51:42 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.